const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':')
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}

const checkMobile = mobile => {
  return /^1[34578]\d{9}$/.test(mobile)
}

const showError = msg => {
  wx.showToast({
    icon: 'none',
    title: msg,
  })
}

module.exports = {
  formatTime: formatTime,
  checkMobile: checkMobile,
  showError: showError
}
