<?php

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


$api = app('Dingo\Api\Routing\Router');

$api->version('v1', ['namespace' => 'App\Http\Controllers\Api\mini', 'prefix' => 'api/mini', 'middleware' => 'mini'], function ($api) {
    $api->any('test', 'TestController@index');
    $api->any('login', 'AuthController@login');
    $api->any('reset', 'AuthController@reset');
    $api->any('loginByWechat', 'AuthController@loginByWechat');
});